[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# AssertErrorProc

Custom assert error handling procedure

## Declaration

Source position: systemh.inc line 1586

`const AssertErrorProc: TAssertErrorProc = @ SysAssert;`

## Description

If set, the AbstractErrorProc constant is used when an assert error occurs. If it is not set, then the standard error handling is done: The assertion error message is printed, together with the location of the assertion, and A stack dump is performed, and the program exits with error code 227.

The SysUtils unit sets this procedure and raises an exception in its handler.